umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Typedefs | Functions
umlscene.h File Reference
`#include "associationwidgetlist.h"`
`#include "basictypes.h"`
`#include "classifierwidget.h"`
`#include "messagewidgetlist.h"`
`#include "optionstate.h"`
`#include "umlobject.h"`
`#include "umlobjectlist.h"`
`#include "umlwidgetlist.h"`
`#include "worktoolbar.h"`
`#include "widgetbase.h"`
`#include <QDomDocument>`
`#include <QGraphicsScene>`
`#include <QGraphicsItem>`
`#include <QGraphicsSceneMouseEvent>`
`#include <QGraphicsPolygonItem>`
`#include <QKeyEvent>`
`#include <QMouseEvent>`
`#include <QPixmap>`
`#include <QXmlStreamWriter>`

Go to the source code of this file.

## Classes
class | UMLScene

## Typedefs
typedef QList< QGraphicsItem * > | UMLSceneItemList

## Functions
QDebug | operator<< (QDebug dbg, UMLScene *item)

## Typedef Documentation

## ◆ UMLSceneItemList

typedef QList<QGraphicsItem*> UMLSceneItemList

## Function Documentation

## ◆ operator<<()

QDebug operator<< | ( | QDebug | dbg,
|  | UMLScene * | item )

Overloading operator for debugging output.